#!/bin/bash

# Get the current date and time in YYYYMMDD-HHMMSS format
current_datetime=$(date +"%Y%m%d-%H%M%S")

# make backups
cp /etc/sysconfig/ipset "/etc/sysconfig/ipset.bak-$current_datetime"
cp /etc/sysconfig/ipset-paas "/etc/sysconfig/ipset-paas.bak-$current_datetime"

# add new IPs to ipset
ipset add EXTERNAL_SSH_USERS 159.65.36.120
ipset add EXTERNAL_SSH_USERS 24.52.152.6
ipset save > /etc/sysconfig/ipset
ipset save > /etc/sysconfig/ipset-paas

# now ready to reload and test
# systemctl restart ipset